package ee.sk.digidoc.factory;

import nu.xom.Builder;

public class XOMBuilderFactory {

	
	private static Builder builderExhastive=new Builder(true);
	private static Builder builderRelaxed=new Builder(false);
	
	public static Builder getInstance(boolean ex){
		if(!ex)
			return getInstanceRelaxed();
		else
			return getInstanceExhaustive();
	}
	private static Builder getInstanceRelaxed(){
		if (builderRelaxed==null)
			builderRelaxed=new Builder(false);
		return builderRelaxed;
	}
	private static Builder getInstanceExhaustive(){
		if (builderExhastive==null)
			builderExhastive=new Builder(true);
		return builderExhastive;
	}
}
